# Generated from quandl_sandbox-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name quandl_sandbox

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Launch and execute code inside an ec2 instance
License: MIT
URL: http://blake.hilscher.ca/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.14
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(factory_girl_rails)
# BuildRequires: rubygem(fivemat) >= 1.2
# BuildRequires: rubygem(fivemat) < 2
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Launch and execute code inside an ec2 instance. Supports vpc private subnet
via ssh gateway. Use webhooks to notify success or failure.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.1-1
- Initial package
